"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Counterparties = void 0;
const baseResource_1 = require("./baseResource");
class Counterparties extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/counterparties", config);
    }
    async create(request) {
        return await this.httpPost("", { data: request });
    }
    async delete(id) {
        return await this.httpDelete(`/${id}`);
    }
    async get(id) {
        return await this.httpGet(`/${id}`);
    }
    async list(params) {
        const parameters = {
            "page[limit]": ((params === null || params === void 0 ? void 0 : params.limit) ? params === null || params === void 0 ? void 0 : params.limit : 100),
            "page[offset]": ((params === null || params === void 0 ? void 0 : params.offset) ? params === null || params === void 0 ? void 0 : params.offset : 0),
            ...((params === null || params === void 0 ? void 0 : params.customerId) && { "filter[customerId]": params === null || params === void 0 ? void 0 : params.customerId }),
            ...((params === null || params === void 0 ? void 0 : params.tags) && { "filter[tags]": params === null || params === void 0 ? void 0 : params.tags }),
        };
        return this.httpGet("", { params: parameters });
    }
    async update(id, request) {
        const data = {
            type: "counterparty",
            attributes: request
        };
        return this.httpPatch(`/${id}`, data);
    }
    async getBalance(id) {
        return this.httpGet(`/${id}/balance`);
    }
}
exports.Counterparties = Counterparties;
