"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Events = void 0;
const baseResource_1 = require("./baseResource");
class Events extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/events", config);
    }
    async get(id) {
        return await this.httpGet(`/${id}`);
    }
    async list(params) {
        const parameters = {
            "page[limit]": ((params === null || params === void 0 ? void 0 : params.limit) ? params === null || params === void 0 ? void 0 : params.limit : 100),
            "page[offset]": ((params === null || params === void 0 ? void 0 : params.offset) ? params === null || params === void 0 ? void 0 : params.offset : 0)
        };
        if (params === null || params === void 0 ? void 0 : params.type)
            params.type.forEach((t, idx) => {
                parameters[`filter[type][${idx}]`] = t;
            });
        if (params === null || params === void 0 ? void 0 : params.since)
            params["filter[since]"] = params.since;
        if (params === null || params === void 0 ? void 0 : params.until)
            params["filter[until]"] = params.until;
        return this.httpGet("", { params: parameters });
    }
    async fire(id) {
        return await this.httpPost(`/${id}`);
    }
}
exports.Events = Events;
