"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
const transactionsId = [];
const transactionTypes = ["originatedAchTransaction", "adjustmentTransaction", "atmTransaction", "bookTransaction", "cardReversalTransaction", "cardTransaction",
    "dishonoredReceivedAchTransaction", "disputeTransaction", "feeTransaction", "interestTransaction", "purchaseTransaction", "receivedAchTransaction", "releaseTransaction",
    "returnedAchTransaction", "returnedReceivedAchTransaction", "wireTransaction", "rewardTransaction", "cashDepositTransaction", "paymentAdvanceTransaction"];
describe("Transactions List", () => {
    test("Get Transactions List", async () => {
        const res = await unit.transactions.list();
        res.data.forEach(element => {
            expect(transactionTypes.includes(element.type)).toBeTruthy();
            transactionsId.push({ accountId: element.relationships.account.data.id, transactionId: element.id });
        });
    });
});
describe("Get Transaction Test", () => {
    test("get each transaction", async () => {
        transactionsId.forEach(async (element) => {
            const transaction = await unit.transactions.get(element.accountId, element.transactionId);
            expect(transactionTypes.includes(transaction.data.type)).toBeTruthy();
        });
    });
});
